LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Problem in installing CNET simulator installation (http://www.linuxquestions.org/questions/linux-newbie-8/problem-in-installing-cnet-simulator-installation-783137/)

khushid 01-19-2010 01:47 AM

Problem in installing CNET simulator installation
 
Hi,
I have problem in installation for CNET simulator for wireless network cnet-3.1.4. I have fedora 8 . The problem is when I execute the make command step.

I have already intalled tcl/tk 8.4
But still there is an error.
The error I get is
cd src && make
make[1]: Entering directory `/home/laxmi/cnet/cnet-3.1.4/src'
make[2]: Entering directory `/home/laxmi/cnet/cnet-3.1.4/src'
gcc -std=c99 -Wall -Werror -pedantic -O -fPIC -c applicationlayer.c
In file included from cnetprivate.h:48,
from applicationlayer.c:1:
preferences.h:153:1: error: "CNET4IPODHOST" redefined
preferences.h:152:1: error: this is the location of the previous definition
In file included from cnetprivate.h:115,
from applicationlayer.c:1:
tcltkfunctions.h:30:17: error: tcl.h: No such file or directory
tcltkfunctions.h:31:16: error: tk.h: No such file or directory
In file included from cnetprivate.h:115,
from applicationlayer.c:1:
tcltkfunctions.h:50: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
make[2]: *** [applicationlayer.o] Error 1
make[2]: Leaving directory `/home/laxmi/cnet/cnet-3.1.4/src'
make[1]: *** [it] Error 2
make[1]: Leaving directory `/home/laxmi/cnet/cnet-3.1.4/src'
make: *** [it] Error 2


Can anyone guide me what shall I do to remove these errors.
I made a search for tcl.h files but they are not there.from where and how can I get this file. Please help me out as I am unable to do my project.

knudfl 01-19-2010 08:56 AM

Welcome to LQ.
Quote:

tcltkfunctions.h:30:17: error: tcl.h: No such file or directory
tcltkfunctions.h:31:16: error: tk.h: No such file or directory
Please do these commands in the terminal window :
1) su
2) yum install tcl-devel tk-devel elfutils-devel

'cnet-3.1.4' requires tcl / tk version 8.4.xx.


If you have further questions, please do not forget
to tell, which Fedora version, you are using.
http://www.linuxquestions.org/linux/...Ask_a_Question
http://linuxsilo.net/docs/smart-questions_en.html
.....


All times are GMT -5. The time now is 01:42 AM.